function [emb,error]=create_embedding(s1,m,tau,fs);

%create embeddig matrix
%m intial embedding dimension
%tau    time delay in seconds
%fs sampling time

transpose=0;
if size(s1,1)>size(s1,2)
    s1=s1';
    transpose=1;
    warning('Data trasposed: signal on each row');
end

num_trials=size(s1,1);
num_samples=size(s1,2);

tau_samples=round(tau*fs); %round ?

emb_vec_l=(m-1)*tau_samples+1;%embedding vector length in samples
if emb_vec_l>num_samples
   warning('Time series too short');
   error=1;
   emb=[];
   return
end


dim_matr=(num_samples-emb_vec_l)+1%embedding matrix dimension
emb=zeros(num_trials,m,dim_matr);  %rows are embedding vectrors

for k=1:num_trials

    for h=1:dim_matr

        emb(k,:,h)=s1(k,[h:tau_samples:h+(m-1)*tau_samples]);
        
    end
end

if num_trials==1
     emb=permute(emb,[3 2 1]);
    %each row is an embedding vector
else
    emb=permute(emb,[1 3 2]);
end

error=0;
    