function [error]=falsi_vicini(x,m_iniziale,m_finale,tau,fs,R_tol);
    

%disegna la percentuale di falsi vicini all'aumentare della dimensione di
%embedding

%m_iniziale dimensione di embedding iniziale
%m_finale dimensione di embedding finale

%tau    time delay in secondi
%fs frequenza di campionamento
%R_tol parametro per determinare la presenza di un falso vicino
%(10<R_tol<50)


tau_samples=round(tau*fs); %round ?


[emb,error]=create_embedding(x,m_finale,tau,fs);

emb=emb';

[rig col]=size (emb);

%trovo le distanze tra ogni punto

FN=zeros(1,m_iniziale-m_finale+1);

for d=m_iniziale:m_finale-1

    dist=diag(Inf*ones(1,rig));

    for k=1:rig

        for h=k+1:rig
            dist(k,h)=norm(emb(k,1:d)-emb(h,1:d));
            dist(h,k)=dist(k,h);
        end

    end

    %trovo il vicino per ogni punto

    vicino=zeros(1,rig);

    min_norm=min(dist,[],2);

    for k=1:rig

        near=find(dist(k,:)==min_norm(k));
        vicino(k)=near(1); %nel caso ce ne fossero due o pi

    end

    %vediamo se i vicini lo sono ancora nello spazio d+1 dimensionale
    %l'aggiunta della nuova coordinata non dovrebbe aggiungere molto alla
    %distanza tra i due punti
    R=zeros(1,rig);

    %for k=1:rig

    R=(emb(:,d+1)-emb(vicino,d+1)).^2./min_norm;
    FN(d-m_iniziale+1)=sum(R>R_tol)/(rig-1);

end

plot(FN)

