function [error]=find_time_delay(s1,tau_min,tau_max,fs);

%tau_min minimum time delay in seconds
%tau_max maximum time delay (s)
%fs sampling time

%tau    time delay in seconds

transpose=0;
if size(s1,1)>size(s1,2)
    s1=s1';
    transpose=1;
    warning('Data trasposed: signal on each row');
end

num_trials=size(s1,1);
num_samples=size(s1,2);

tau=tau_min:1/fs:tau_max

mutual_kernel_tau=zeros(num_trials,length(tau));

for delay=1:length(tau)

    s_delayed=s1(:,1+delay:end);
    s_still=s1(:,1:end-delay);

    for k=1:num_trials

        %mutual_kernel_tau(k,h)=mutual_kernel_I(s_still(k,:),s_delayed(k,:));
        mutual_tau(k,delay)=mutual_I(s_still(k,:),s_delayed(k,:),round(log2(num_samples)));
        
        crox=corrcoef(s_still(k,:),s_delayed(k,:));
        crox_corr(k,delay)=crox(2);

    end
end

for k=1:num_trials
    
    figure
    %plot(tau,mutual_tau(k,:),tau,mutual_kernel_tau(k,:));legeng('MI','Kernel MI');
    plot(tau,mutual_tau(k,:),tau,crox_corr(k,:));

    ylabel('I');
    xlabel('\tau');
    title_=['Trial n. ' num2str(k)];
    title(title_);
end
error=0;





